Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster
Class MulticastSender

    java.lang.Object
      |
      +--org.apache.catalina.cluster.ClusterSessionBase
            |
            +--org.apache.catalina.cluster.MulticastSender

All Implemented Interfaces:
  ClusterSender

public class MulticastSender
extends ClusterSessionBase
implements ClusterSender

This class is responsible for sending outgoing multicast packets to a Cluster.

Version:
  $Revision: 1.4 $, $Date: 2001/07/22 20:25:06 $
Author:
  Bip Thelin

Fields inherited from class org.apache.catalina.cluster.ClusterSessionBase
`sm`

Method Summary
`java.lang.String` | `getName()` Return a `String` containing the name of this implementation, used for logging
`void` | `send(byte[] b)` Send multicast data
`void` | `send(java.lang.Object o)` Send an object using a multicastSocket

Methods inherited from class org.apache.catalina.cluster.ClusterSessionBase
`getDebug, getLogger, getSenderId, log, setDebug, setLogger, setSenderId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.catalina.cluster.ClusterSender
`getDebug, getLogger, getSenderId, log, setDebug, setLogger, setSenderId`

Method Detail

### getName

    public java.lang.String getName()

  Return a `String` containing the name of this implementation, used for logging
  Overrides:
    `getName` in class `ClusterSessionBase`
  Returns:
    The name of the implementation

### send

    public void send(java.lang.Object o)

  Send an object using a multicastSocket
  Specified by:
    `send` in interface `ClusterSender`
  Parameters:
    `o` - The object to be sent.

### send

    public void send(byte[] b)

  Send multicast data
  Specified by:
    `send` in interface `ClusterSender`
  Parameters:
    `b` - data to be sent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.